## org.jboss.netty.handler.codec.frame
Class FixedLengthFrameDecoder

    java.lang.Object
      org.jboss.netty.channel.SimpleChannelUpstreamHandler
          org.jboss.netty.handler.codec.frame.FrameDecoder
              org.jboss.netty.handler.codec.frame.FixedLengthFrameDecoder

All Implemented Interfaces:
  ChannelHandler, ChannelUpstreamHandler

    public class FixedLengthFrameDecoder

extends FrameDecoder

A decoder that splits the received `ChannelBuffer`s by the fixed number of bytes. For example, if you received the following four fragmented packets:

     +---+----+------+----+
     | A | BC | DEFG | HI |
     +---+----+------+----+

A `FixedLengthFrameDecoder` `(3)` will decode them into the following three packets with the fixed length:

     +-----+-----+-----+
     | ABC | DEF | GHI |
     +-----+-----+-----+

Version:
  $Rev:231 $, $Date:2008-06-12 16:44:50 +0900 (목, 12 6월 2008) $
Author:
  The Netty Project, Trustin Lee

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`ChannelHandler.Sharable`

Constructor Summary
`FixedLengthFrameDecoder(int frameLength)` Creates a new instance.

Method Summary
`protected Object` `decode(ChannelHandlerContext ctx, Channel channel, ChannelBuffer buffer)` Decodes the received packets so far into a frame.

Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder
`channelClosed, channelDisconnected, decodeLast, exceptionCaught, messageReceived`

Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler
`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedLengthFrameDecoder

    public FixedLengthFrameDecoder(int frameLength)

  Creates a new instance.

  Parameters:
    `frameLength` - the length of the frame

Method Detail

### decode

    protected Object decode(ChannelHandlerContext ctx,
                            Channel channel,
                            ChannelBuffer buffer)
                     throws Exception

  Description copied from class: `FrameDecoder`
  Decodes the received packets so far into a frame.

  Specified by:
    `decode` in class `FrameDecoder`
  Parameters:
    `ctx` - the context of this handler
    `channel` - the current channel
    `buffer` - the cumulative buffer of received packets so far. Note that the buffer might be empty, which means you should not make an assumption that the buffer contains at least one byte in your decoder implementation.
  Returns:
    the decoded frame if a full frame was received and decoded. `null` if there's not enough data in the buffer to decode a frame.
  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.